Subject: re: IPOP3 Server

From: Mark Crispin <[email-masked]>
Date: Fri, 29 Mar 2002 12:18:06 -0800 (PST)

On Fri, 29 Mar 2002 12:11:53 -0800 (PST), earl_albin wrote:
> [yo_mama:~] homeg4% telnet localhost 110
> Trying 127.0.0.1...
> Connected to localhost.
> Escape character is '^]'.
> Connection closed by foreign host.

Check your [x]inetd configuration file(s).  You probably have it pointed at
the wrong path for the ipop3d binary.

> Now I am not currenly using a fully qualified domain name at home so should
> that matter?

It doesn't matter to imapd and ipop3d, but it certainly matters if you are
going to send email to the Internet.  Your message came out with
	From: earl_albin <homeg4@Yo_Mama>
which is unreplyable.  I usually ignore all such messages as being spam.

> Another question how does the mail get sent to a directory?

That's in however your mail delivery program is configured.

> I set up the file env_unix.c file.
> The static char reads *mailsubdir = "Library/Mail/Mailboxes";

That sets the place where imapd/ipop3d look for it.  It doesn't do anything
about causing it to be put there.

> I try sending mail to myself using the SMTP server, but it goes to
> /var/mail/homeg4, is this normal?

On normal UNIX systems, yes.  Mac OS X is not a normal UNIX system by any
stretch of the imagination.